# Parameters

## Create parameters

> Create a set of parameters for the given workflow definition to use

```json
{"openapi":"3.0.3","info":{"title":"TransactionLink API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.transactionlink.io","description":"Production environment"}],"paths":{"/parameters":{"post":{"tags":["Parameters"],"summary":"Create parameters","description":"Create a set of parameters for the given workflow definition to use","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateParameterValuesDto"}}}},"responses":{"201":{"description":"A set of parameters for the given workflow was created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterValuesDto"}}}},"400":{"description":"Bad Request Body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"CreateParameterValuesDto":{"type":"object","required":["workflowDefinitionId","parameters"],"properties":{"workflowDefinitionId":{"type":"string","description":"ID of the workflow definition"},"parameters":{}}},"ParameterValuesDto":{"type":"object","required":["parametersId","workflowDefinitionId","parameters"],"properties":{"parametersId":{"type":"string","description":"ID of the parameters set"},"workflowDefinitionId":{"type":"string","description":"ID of the workflow definition"},"parameters":{}}},"ErrorResponse":{"type":"object","required":["fingerprint","errors"],"properties":{"fingerprint":{"type":"string","description":"error id"},"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code"},"message":{"type":"string","description":"Error message"}}}}}}}}}
```

## Get parameters

> Get a set of parameters for the given workflow definition

```json
{"openapi":"3.0.3","info":{"title":"TransactionLink API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.transactionlink.io","description":"Production environment"}],"paths":{"/parameters/{parametersId}":{"get":{"tags":["Parameters"],"summary":"Get parameters","description":"Get a set of parameters for the given workflow definition","parameters":[{"in":"path","name":"parametersId","schema":{"type":"string","format":"uuid"},"required":true,"description":"UUID of the parameters set to get"}],"responses":{"201":{"description":"A set of parameters was successfully retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterValuesDto"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ParameterValuesDto":{"type":"object","required":["parametersId","workflowDefinitionId","parameters"],"properties":{"parametersId":{"type":"string","description":"ID of the parameters set"},"workflowDefinitionId":{"type":"string","description":"ID of the workflow definition"},"parameters":{}}},"ErrorResponse":{"type":"object","required":["fingerprint","errors"],"properties":{"fingerprint":{"type":"string","description":"error id"},"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code"},"message":{"type":"string","description":"Error message"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/transactionlink-api/api-reference/parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
